import request from "./index";
import qs from "qs";


/* 获取会员用户列表
"inputText": "string",
"page": 0,
"size": 0,
"type": 0,
"userId": "string" 
*/
export const getMembers = (params: any) => {
  return request({
    url: "/data/api-u/user/findUserList",
    method: "post",
    data: params
  });
};

/* 获取运营用户列表
"inputText": "string",
"page": 0,
"size": 0,
"type": 0,
"userId": "string" 
*/
export const getManager = (params: any) => {
  return request({
    url: "/data/api-u/user/findManagerList",
    method: "post",
    data: params
  });
};
/* 保存注册会员
  "id": "string",
  "areaId": 0,
  "chPwdFirstLogin": true,
  "companyName": "string",
  "contact": "string",
  "email": "string",
  "industryId": "string",
  "password": "string",
  "trueName": "string",
  "type": 0,
  "userType": 0,
  "username": "string"
*/
export const saveMember = (params: any) => {
  return request({
    url: "/data/api-u/user/saveUser",
    method: "post",
    data: params
  });
};
/* 
  获取当前用户可见菜单
*/
export const getCheckedMenu = () => {
  return request({
    url: "/data/api-u/menu/tree",
    method: "get"
  });
};

/* 
  保存运营用户
  "chPwdFirstLogin": true,
  "email": "string",
  "id": "string",
  "menuIds": [
    "string"
  ],
  "isChangePwd": "string"
  "password": "string",
  "pos": "string",
  "trueName": "string",
  "username": "string"
*/
export const saveManager = (params: any) => {
  return request({
    url: "/data/api-u/user/saveManager",
    method: "post",
    data: params
  });
};

/* 
  查询用户的统计信息：
  "userId": "",
*/
export const statisticByUser = (params: any) => {
  return request({
    url: "/data/api-s/statistic/statisticByUser",
    method: "post",
    data: params
  });
};

export const getSysMenus = () => {
  return request({
    url: "/data/api-u/menu/tree",
    method: "get"
  });
};

export const getUserMenus = (query: any) => {
  return request({
    url: "/data/api-u/users/findById",
    method: "post",
    data: qs.stringify(query)
  });
};

export const updataUser = (params: any) => {
  return request({
    url: "/data/api-u/users/saveAuth",
    method: "post",
    data: params
  });
};
